Bug 81060 - gnome-terminal -x is adding --display in the wrong place
gnome-terminal -x is adding --display in the wrong place
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: Triaged
: 82117 (view as bug list)
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2003-01-03 17:31 EST by George Karabin
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-08 13:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
List of recently installed rawhide packages (2.75 KB, text/plain)
2003-01-10 22:29 EST, George Karabin
no flags Details

  None (edit)
Description George Karabin 2003-01-03 17:31:17 EST
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a new launcher on desktop or panel. 
2. Select "Run in Terminal" and enter a simple ssh command, like "ssh hostname"
(no quotes) to some ssh-computer on the network.
3. Execute the launcher.
Actual results:

A gnome-terminal will pop up and after authentication is complete it will
briefly flash a message about :0.0 not being found (at least, this is what I see
with a remote zsh shell, other shells might conceivably vary). Then the terminal
will exit.

Expected results:

The terminal should stay open - no command should have been passed over the ssh

Additional info:

When I issue the same ssh command from the command line, I don't see any
problem. Likewise, if I explicitly give ssh the name of a command to run on the
remote machine (like "xterm") the command runs properly.
Comment 1 George Karabin 2003-01-10 22:29:53 EST
Created attachment 89296 [details]
List of recently installed rawhide packages

I recently updated a number of packages from rawhide, including the panel and
other gnome packages. This problem went away afterwards.
Comment 2 Havoc Pennington 2003-01-11 18:44:26 EST
Let's assume it was a libc glitch or the like then, there's been some stuff like
that. Let us know if the bug returns.
Comment 3 George Karabin 2003-01-13 16:21:01 EST
Oddly enough, with no changes to my installed software, the problem came back
this afternoon. Even more odd, the problem didn't occur this morning. I'm going
to reopen the bug, although now I'm kind of wondering about it's reproduceability.

Is there an easy way to strace something run from the panel?
Comment 4 Havoc Pennington 2003-01-13 16:33:29 EST
You could make 
"strace -f -o /tmp/output foo" the command to be run by the launcher.
Comment 5 George Karabin 2003-01-13 16:43:51 EST
Doh! Anyway, doing that showed as the first line:

3559  execve("/usr/bin/ssh", ["ssh", "monarch.sdca.asp.ti.com", "--display",
":0.0"], [/* 21 vars */]) = 0
Comment 6 Havoc Pennington 2003-01-13 16:51:42 EST
Oh, crap. gnome-panel probably adds the --display to attempt to handle the
multihead case.

I'll file a gnome.org bug
Comment 7 Havoc Pennington 2003-01-13 16:56:18 EST
Except I can't reproduce the problem. "rpm -q gnome-panel"?
"rpm -q gnome-desktop"?

Do you have a multihead system?
Comment 8 George Karabin 2003-01-13 17:38:16 EST
I don't have a multihead system, although I do have a laptop with a docking
station, so there are two different displays in use at different times. I can't
imagine that gnome can tell that, and get confused by it, but there you go, in
case it matters.

Here are the versions:

Comment 9 Havoc Pennington 2003-01-14 12:42:38 EST
Ah, here we go: http://bugzilla.gnome.org/show_bug.cgi?id=103487

I think we can blame gnome-terminal. I think I know when I broke it, even.
Comment 10 Havoc Pennington 2003-01-21 16:55:33 EST
gnome-terminal 2.2.0 should have a working fix for this.
Comment 11 Havoc Pennington 2003-02-03 17:41:57 EST
*** Bug 82117 has been marked as a duplicate of this bug. ***
Comment 12 Jay Turner 2003-02-07 15:35:02 EST
I can't replicate this bug either, so hoping that the original poster will
confirm that the new gnome-terminal code does indeed fix the problem.
Comment 13 George Karabin 2003-02-07 18:15:30 EST
Sorry for the long delay - my machine had been less than stable and I hadn't had
a chance to boot into phoebe at work for a while. I can verify that
gnome-terminal-2.2.0.-2 isn't showing the problem anymore. Thanks!
Comment 14 Jay Turner 2003-02-08 13:53:17 EST
Closing this out based on feedback from original poster.

Note You need to log in before you can comment on or make changes to this bug.